##
## This is part of CLFSja package.
##
BOOKdir = @abs_bookdir@/final-system/common
CHANGE_FILES = \
	aboutdebug.ch       \
	acl.ch              \
	adjusting.ch        \
	attr.ch             \
	autoconf.ch         \
	automake.ch         \
	bc.ch               \
	bash.ch             \
	binutils.ch         \
	bison.ch            \
	bzip2.ch            \
	coreutils.ch        \
	dbus.ch             \
	diffutils.ch        \
	e2fsprogs.ch        \
	expat.ch            \
	file.ch             \
	findutils.ch        \
	flex.ch             \
	gawk.ch             \
	gcc.ch              \
	gdbm.ch             \
	gettext.ch          \
	glibc.ch            \
	gmp.ch              \
	gperf.ch            \
	grep.ch             \
	groff.ch            \
	gzip.ch             \
	iana-etc.ch         \
	intltool.ch         \
	introduction.ch     \
	iproute2.ch         \
	iputils.ch          \
	isl.ch              \
	kbd.ch              \
	kmod.ch             \
	less.ch             \
	libcap.ch           \
	libpipeline.ch      \
	libtool.ch          \
	linux-headers.ch    \
	m4.ch               \
	make.ch             \
	man-db.ch           \
	man-pages.ch        \
	mpc.ch              \
	mpfr.ch             \
	ncurses.ch          \
	patch.ch            \
	perl.ch             \
	pkg-config-lite.ch  \
	pkgmgt.ch           \
	procps-ng.ch        \
	psmisc.ch           \
	readline.ch         \
	sed.ch              \
	shadow.ch           \
	stripping.ch        \
	systemd.ch          \
	tar.ch              \
	temp-perl.ch        \
	testsuitesagain.ch  \
	texinfo.ch          \
	util-linux.ch       \
	util-linux-pass1.ch \
	vim.ch              \
	xml-parser.ch       \
	xz.ch               \
	zlib.ch

EXTRA_DIST = $(CHANGE_FILES)
srcdir = @srcdir@
srcs = $(CHANGE_FILES:.ch=.xml)

SUFFIXES = .ch .xml
.ch.xml:
	$(top_builddir)/$(CTIE) -m $@ $(BOOKdir)/$@ $(srcdir)/$*.ch >/dev/null

all: ctie $(srcs)

ctie:
	@$(MAKE) -C $(top_builddir)/$@ $@ >/dev/null

$(srcs): $(BOOKdir)/$@ $(srcdir)/$(@:.xml=.ch)
